Unity5で 『 library not found for -lPods-Unity-iPhone』と出たら

『 library not found for -lPods-Unity-iPhone』

Unity5.0の時のiOSアプリを、Unity5.4xにアップデートし、
久々xcodeでビルドと下記エラーが、

lPods-Unity-iPhone
lPods-Unity-iPhone

ld: library not found for -lPods-Unity-iPhone clang: error: linker command failed with exit code 1 (use -v to see invocation)

原因は、前の古いバージョンのUnityを使っている時にリンクエラーがでるそうです。。

で解決方法はエラーの通りでございまして、、汗

  • xcode上の General設定の、Linked Frameworks and Libraries から、
  • 「libPods-Unity-iPhone.a」 を frameworkから削除し、ビルドしなおせばOK
-lPods-Unity-iPhone
-lPods-Unity-iPhone

これをdelete!!

そしてリビルド!!!

以上!!!!

“Unity5で 『 library not found for -lPods-Unity-iPhone』と出たら” への1件の返信

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください